From 8e84ee9ba07123d795e2bb780430ecb195d92608 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Tue, 17 Nov 2009 10:06:48 +0100
Subject: [PATCH] Add ARM support

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 numpy-arm.patch |   42 ++++++++++++++++++++++++++++++++++++++++++
 numpy.spec      |    7 ++++++-
 2 files changed, 48 insertions(+), 1 deletions(-)
 create mode 100644 numpy-arm.patch

diff --git a/numpy-arm.patch b/numpy-arm.patch
new file mode 100644
index 0000000..049f57d
--- /dev/null
+++ b/numpy-arm.patch
@@ -0,0 +1,42 @@
+diff -dur numpy-1.3.0.backup/numpy/core/include/numpy/npy_cpu.h numpy-1.3.0/numpy/core/include/numpy/npy_cpu.h
+--- numpy-1.3.0.backup/numpy/core/include/numpy/npy_cpu.h	2009-04-05 10:09:20.000000000 +0200
++++ numpy-1.3.0/numpy/core/include/numpy/npy_cpu.h	2009-11-17 08:16:20.110873240 +0100
+@@ -9,6 +9,7 @@
+  *              NPY_CPU_S390
+  *              NPY_CPU_IA64
+  *              NPY_CPU_PARISC
++ * 		NPY_CPU_ARM
+  */
+ #ifndef _NPY_CPUARCH_H_
+ #define _NPY_CPUARCH_H_
+@@ -45,6 +46,12 @@
+ #elif defined(__parisc__)
+     /* XXX: Not sure about this one... */
+     #define NPY_CPU_PARISC
++#elif defined(__ARM__) || defined(__arm__)
++#	if defined(__ARMEB__)
++		#define NPY_CPU_ARMEB
++#	else
++		#define NPY_CPU_ARMEL
++#	endif
+ #else
+     #error Unknown CPU, please report this to numpy maintainers with \
+     information about your platform (OS, CPU and compiler)
+diff -dur numpy-1.3.0.backup/numpy/core/include/numpy/npy_endian.h numpy-1.3.0/numpy/core/include/numpy/npy_endian.h
+--- numpy-1.3.0.backup/numpy/core/include/numpy/npy_endian.h	2009-04-05 10:09:20.000000000 +0200
++++ numpy-1.3.0/numpy/core/include/numpy/npy_endian.h	2009-11-17 08:17:10.450873381 +0100
+@@ -22,11 +22,12 @@
+     #include "npy_cpu.h"
+ 
+     #if defined(NPY_CPU_X86) || defined(NPY_CPU_AMD64)\
+-            || defined(NPY_CPU_IA64)
++            || defined(NPY_CPU_IA64) || defined(NPY_CPU_ARMEL)
+         #define NPY_LITTLE_ENDIAN
+         #define NPY_BYTE_ORDER 1234
+     #elif defined(NPY_CPU_PPC) || defined(NPY_CPU_SPARC)\
+-            || defined(NPY_CPU_S390) || defined(NPY_CPU_PARISC)
++            || defined(NPY_CPU_S390) || defined(NPY_CPU_PARISC)\
++	    || defined(NPY_CPU_ARMEB)
+         #define NPY_BIG_ENDIAN
+         #define NPY_BYTE_ORDER 4321
+     #else
diff --git a/numpy.spec b/numpy.spec
index 9e00a6c..896e148 100644
--- a/numpy.spec
+++ b/numpy.spec
@@ -4,7 +4,7 @@
 
 Name:           numpy
 Version:        1.3.0
-Release:        6%{?dist}
+Release:        6%{?dist}.fa1
 Summary:        A fast multidimensional array facility for Python
 
 Group:          Development/Languages
@@ -12,6 +12,7 @@ License:        BSD
 URL:            http://numeric.scipy.org/
 Source0:        http://downloads.sourceforge.net/numpy/%{name}-%{version}.tar.gz
 Patch0:         numpy-1.0.1-f2py.patch
+Patch1:		numpy-arm.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel lapack-devel python-setuptools gcc-gfortran atlas-devel python-nose
@@ -43,6 +44,7 @@ This package includes a version of f2py that works properly with NumPy.
 %prep
 %setup -q -n %{name}-%{version}
 %patch0 -p1 -b .f2py
+%patch1 -p1 -b .arm
 
 %build
 env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
@@ -111,6 +113,9 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Tue Nov 17 2009 Jitesh Shah <jiteshs@marvell.com> - 1.3.0-6.fa1
+- Add ARM support
+
 * Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
 
-- 
1.5.5.6

